package com.huimv.env.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.env.common.entity.LampTemp;
import com.huimv.env.common.mapper.LampTempMapper;
import com.huimv.env.common.service.LampTempService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.management.Query;
import java.math.BigDecimal;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-10-27
 */
@Service
public class LampTempServiceImpl extends ServiceImpl<LampTempMapper, LampTemp> implements LampTempService {
    @Autowired
    private LampTempMapper lampTempMapper;

    @Override
    public BigDecimal getLastLampTemp(String farmCode) {
        QueryWrapper<LampTemp> queryWrapper = new QueryWrapper();
        queryWrapper.eq("farm_code",farmCode);
        queryWrapper.orderByDesc("add_time");
        queryWrapper.last("LIMIT 1");
        LampTemp lampTemp = lampTempMapper.selectOne(queryWrapper);
        if(lampTemp == null){
            return new BigDecimal(0);
        }else{
            return new BigDecimal(lampTemp.getTemp());
        }
    }
}
