package com.huimv.env.manage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.env.common.utils.Const;
import com.huimv.env.manage.mapper.EnvPhMapper;
import com.huimv.env.manage.saas.dao.entity.EnvPh;
import com.huimv.env.manage.service.EnvPhService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-10-26
 */
@Service
public class EnvPhServiceImpl extends ServiceImpl<EnvPhMapper, EnvPh> implements EnvPhService {
    @Resource
    private EnvPhMapper envPhMapper;

    @Override
    public Result getPh(Map<String, String> paramsMap) {
        String farmCode = paramsMap.get("farmCode");
        QueryWrapper<EnvPh> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_code",farmCode);
        queryWrapper.orderByDesc("add_time");
        queryWrapper.last("LIMIT 1");
        EnvPh envPh = envPhMapper.selectOne(queryWrapper);
        if (envPh == null) {
            return new Result(Const.ERR_EMPTY_CODE, Const.ERR_EMPTY_INFO, false);
        } else {
            return new Result(ResultCode.SUCCESS, envPh);
        }
    }
}
